com.corticon.services.metadata.vocabulary

## Interface IAssociationMetadata

-     public interface IAssociationMetadata

  Interface IAssociationMetadata provides methods related to a particular Vocabulary's Entity.Association.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCardinality()` Get the Association's 'Cardinality' value
    `java.util.Collection<java.lang.String>` | `getDatasourceNames()` Get a List of defined datasource names
    `java.util.Collection<java.lang.String>` | `getDatasourceProperties(java.lang.String astrDatasourceName)` Get a List of Properties defined in the given datasource name
    `java.lang.String` | `getDatasourceProperty(java.lang.String astrDatasourceName, java.lang.String astrProperty)` Get the value of the datasource property for given datasource name and property key
    `java.lang.String` | `getJavaObjectFieldName()` Get the Association's 'Java Object Field Name' value
    `java.lang.String` | `getJavaObjectGetMethod()` Get the Association's 'Java Object Get Method' value
    `java.lang.String` | `getJavaObjectSetMethod()` Get the Association's 'Java Object Set Method' value
    `java.lang.String` | `getJoinExpression()` Get the Association's 'Join Expression' value
    `java.lang.String` | `getJoinExpression(java.lang.String astrDatasourceName)` Get the join expression defined in the given datasource.
    `boolean` | `getMandatory()` Get the Association's 'Mandatory' value
    `java.lang.String` | `getNavigability()` Get the Association's 'Navigability' value
    `java.lang.String` | `getRoleName()` Get the Association's 'Role Name' value
    `java.lang.String` | `getTargetEntityName()` Get the Association's 'Target Entity Name' value
    `java.lang.String` | `getXmlPropertyName()` Get the Association's 'Xml Property Name' value

- - ### Method Detail

    - #### getRoleName

          java.lang.String getRoleName()

      Get the Association's 'Role Name' value
      Returns:
        A String of Assocition's 'Role Name' value

    - #### getTargetEntityName

          java.lang.String getTargetEntityName()

      Get the Association's 'Target Entity Name' value
      Returns:
        A String of Association's 'Target Entity Name' value

    - #### getCardinality

          java.lang.String getCardinality()

      Get the Association's 'Cardinality' value
      Returns:
        A String of Association's 'Cardinality' value

    - #### getNavigability

          java.lang.String getNavigability()

      Get the Association's 'Navigability' value
      Returns:
        A String of Association's 'Navigability' value

    - #### getMandatory

          boolean getMandatory()

      Get the Association's 'Mandatory' value
      Returns:
        A String of Association's 'Mandatory' value

    - #### getXmlPropertyName

          java.lang.String getXmlPropertyName()

      Get the Association's 'Xml Property Name' value
      Returns:
        A String of Association's 'Xml Property Name' value

    - #### getJavaObjectGetMethod

          java.lang.String getJavaObjectGetMethod()

      Get the Association's 'Java Object Get Method' value
      Returns:
        A String of Association's 'Java Object Get Method' value

    - #### getJavaObjectSetMethod

          java.lang.String getJavaObjectSetMethod()

      Get the Association's 'Java Object Set Method' value
      Returns:
        A String of Association's 'JavaObjectSetMethod' value

    - #### getJavaObjectFieldName

          java.lang.String getJavaObjectFieldName()

      Get the Association's 'Java Object Field Name' value
      Returns:
        A String of Association's 'Java Object Field Name' value

    - #### getJoinExpression

          java.lang.String getJoinExpression()

      Get the Association's 'Join Expression' value
      Returns:
        A String of Association's 'Join Expression' value

    - #### getDatasourceProperty

          java.lang.String getDatasourceProperty(java.lang.String astrDatasourceName,
                                                 java.lang.String astrProperty)

      Get the value of the datasource property for given datasource name and property key
      Parameters:
        `aDatasourceName` -
        `aProperty` -
      Returns:

    - #### getDatasourceProperties

          java.util.Collection<java.lang.String> getDatasourceProperties(java.lang.String astrDatasourceName)

      Get a List of Properties defined in the given datasource name
      Parameters:
        `aDatasourceName` -
      Returns:

    - #### getDatasourceNames

          java.util.Collection<java.lang.String> getDatasourceNames()

      Get a List of defined datasource names
      Returns:

    - #### getJoinExpression

          java.lang.String getJoinExpression(java.lang.String astrDatasourceName)

      Get the join expression defined in the given datasource.
      Parameters:
        `astrDatasourceName` -
      Returns:

Copyright © 2005-2018 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.